Summary:     GRSecurity user space tools
Name:        grsec-utils
Version:     2.0
Release:     7.pp
License:     GPL
Group:       Environment/Console
Source0:     http://www.grsecurity.net/gradm-%{version}.tar.gz
Source1:     http://pax.grsecurity.net/paxctl-0.2.tar.gz
Source2:     http://pax.grsecurity.net/chpax-0.6.tar.gz
Source3:     chpax.conf
Source4:     gracl.sysconfig
Source5:     grsec.init
Source6:     http://www.grsecurity.net/gracldoc.pdf
Source7:     pax-compare.pl
Patch0:      grsec-Makefile.patch
URL:         http://www.grsecurity.net/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    /usr/bin/find kernel >= 2.4.26 kernel.grsec perl
Provides:    %{name}.pp chpax.pp pax.pp
Obsoletes:   chpax pax
Prereq:      /bin/bash /bin/sed /bin/chmod /usr/bin/find
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: flex byacc kernel >= 2.4.26 kernel.grsec
ExclusiveOS: linux


%description
This package contains the GRSecurity user space tools
(including gradm and chpax). Install this package when
you use a kernel with GRSecurity extensions.


%prep
%setup -q -n gradm2 -a1 -a2
mv -f paxctl-* paxctl
mv -f chpax-* chpax
mv -f paxctl/README paxctl/README.paxctl
mv -f paxctl/ChangeLog paxctl/ChangeLog.paxctl
mv -f chpax/README chpax/README.chpax
mv -f chpax/Changelog chpax/Changelog.chpax
cp %{SOURCE6} .
%patch0 -p1


%build
export RPM_OPT_FLAGS
make
make -C paxctl
make -C chpax


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
make \
	DESTDIR=$RPM_BUILD_ROOT \
	-C paxctl               \
	install
make \
	DESTDIR=$RPM_BUILD_ROOT \
	-C chpax                \
	install
install -m 0600 %{SOURCE3} $RPM_BUILD_ROOT/etc
install -m 0600 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/gracl
install -m 0700 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/grsec
install -m 0700 %{SOURCE7} $RPM_BUILD_ROOT/sbin/pax-compare


%post
if [ $1 = 1 ]; then
  chkconfig --add grsec
  chkconfig grsec on
fi
/etc/rc.d/init.d/grsec init
if [ ! -f /etc/grsec/pw ]; then
  echo "Don't forget to run gradm -P to set the grsec acl password!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig grsec off
  /sbin/chkconfig --del grsec
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc acl *.pdf chpax/README* chpax/Changelog* paxctl/README*
%doc paxctl/ChangeLog*
/dev/*
%config(noreplace) /etc/chpax.conf
%config(noreplace) /etc/grsec
%config(noreplace) /etc/sysconfig/*
/etc/rc.d/init.d/*
/sbin/*
/usr/share/man/man1/*
/usr/share/man/man8/*


%changelog
* Fri Mar 25 2005 peter.pramberger@member.fsf.org
- chpax.cfg renamed to chpax.conf
- updated init script - allow wildcards in chpax.conf

* Sun May 30 2004 peter.pramberger@member.fsf.org
- updated init script - allow gradm activation in GRSecurity 2.0

* Fri May 07 2004 peter.pramberger@member.fsf.org
- updated init script - only set PAX flags if different from chpax.cfg

* Tue May 04 2004 peter.pramberger@member.fsf.org
- upgrade to new 2.0 release
- new paxctl util

* Thu Sep 18 2003 peter.pramberger@member.fsf.org
- new version 1.9.12

* Mon Aug 11 2003 peter.pramberger@member.fsf.org
- new version 1.9.11
- restore pax flags at boot time

* Wed May 07 2003 peter.pramberger@member.fsf.org
- new version 1.9.9g

* Fri Nov 29 2002 peter.pramberger@member.fsf.org
- created

